= render "head"
.project-network
  .controls
    = form_tag project_network_path(@project, @id), method: :get, class: 'form-inline network-form' do |f|
      = text_field_tag :extended_sha1, @options[:extended_sha1], placeholder: t("projects_section.network.extended_syntax"), class: "search-input form-control input-mx-250"
      = button_tag type: 'submit', class: 'btn btn-success' do
        %i.icon-search
      .inline.prepend-left-20
        .checkbox.light
          = label_tag :filter_ref do
            = check_box_tag :filter_ref, 1, @options[:filter_ref]
            %span
              = t("projects_section.network.begin_with_selected")

  .network-graph
    = spinner nil, true

:javascript
  new Network({
    url: '#{project_network_path(@project, @ref, @options.merge(format: :json))}',
    commit_url: '#{project_commit_path(@project, 'ae45ca32').gsub("ae45ca32", "%s")}',
    ref: '#{@ref}',
    commit_id: '#{@commit.id}'
  })
